﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RainbowDesktop
{
    class DataPointCollection : ObservableCollection<DataPoint>
    {
        public DataPointCollection()
        {
            int cnt = 4000;

            var rnd = new Random(0);


            for (int x = 0; x < cnt; x++)
            {
                double f = (double)rnd.Next(0, 10) / (double)100.0;

                //double f = x % 2 == 0 ? 0.1 : -0.1;

                double y = Math.Sin(x / (0.25 * cnt)) + f;

                this.Add(new DataPoint() { X = x, Y = y });
            }
        }
    }

    /// <summary>
    /// Storage class for x and y values of a data point.
    /// </summary>
    public class DataPoint
    {
        public double Y { get; set; }
        public double X { get; set; }
    }
}
